package cz.czu.pef.spaceboy

import android.content.Context
import android.net.ConnectivityManager

class ConnectivityCheck {

    /**
     * Jednoduchá metoda pro ověření dostupnosti síťového připojení zařízení.
     * Metoda je volána z různých míst v aplikaci.
     */
    fun isConnected(context: Context): Boolean {
        val connectivityManager = context.getSystemService(Context.CONNECTIVITY_SERVICE) as ConnectivityManager
        val networkInfo = connectivityManager.activeNetworkInfo
        return networkInfo != null && networkInfo.isConnected
    }
}