package cz.czu.pef.spaceboy

import android.os.Bundle
import android.widget.Toast
import com.google.android.youtube.player.YouTubeBaseActivity
import com.google.android.youtube.player.YouTubeInitializationResult
import com.google.android.youtube.player.YouTubePlayer
import kotlinx.android.synthetic.main.activity_nasa_tv.*

class NasaTvActivity : YouTubeBaseActivity() {

    private val apiKey = "AIzaSyD8G6x_vkfKrpwJvcs2791hjWnEnGYpH-s"
    private val videoCode = "21X5lGlDOfg"

    /**
     * Při spuštění aktivity se pouze inicializuje vestavěný přehrávač, který se automaticky spustí
     */
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_nasa_tv)


        player_nasaTv.initialize(apiKey, object: YouTubePlayer.OnInitializedListener {
            override fun onInitializationSuccess(p0: YouTubePlayer.Provider?, p1: YouTubePlayer?, p2: Boolean) {
                p1?.loadVideo(videoCode)
            }

            override fun onInitializationFailure(p0: YouTubePlayer.Provider?, p1: YouTubeInitializationResult?) {
                Toast.makeText(applicationContext, R.string.video_cannot_be_played, Toast.LENGTH_SHORT).show()
            }

        })
    }
}
