package cz.czu.pef.spaceboy

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent

class BootReceiver: BroadcastReceiver() {

    /**
     * Třída BootReceiver typu BroadcastReceiver poslouchá kdy dojde k restartování zařízení
     * a při novém bootu zařízení zavolá metodu pro znovu spuštění alarmů,
     * které byly rebootem zrušeny.
     */
    override fun onReceive(context: Context, intent: Intent) {
        if (intent.action == "android.intent.action.BOOT_COMPLETED") {

            AlrManager().setAlarm(context)
        }
    }
}